Project

Profile

Help

Issue #3574

Checksum issue after copy a repo

Added by zeitsofa over 2 years ago. Updated over 1 year ago.

Status:
CLOSED - WONTFIX
Priority:
Normal
Assignee:
-
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
Estimated time:
Severity:
2. Medium
Version:
Master
Platform Release:
OS:
RHEL 7
Triaged:
Yes
Groomed:
No
Sprint Candidate:
No
Tags:
Pulp 2
Sprint:
Quarter:

Description

Hello guys,

in IRC #pulp we talked about that issue. Here we are with some more information for an easy reproduce.

The issue: If I create a new repo and copy all stuff from an other one into the new one, sometimes (not on every repo I tried) a checksum error occurred like following:

Overall download size: 1.1 MiB. Already cached: 77.8 KiB. After the operation, 10.3 MiB will be freed.
Continue? [y/n/...? shows all options] (y): y
Retrieving package libcollectdclient1-5.7.2-84.1.x86_64 (1/8), 86.8 KiB ( 30.5 KiB unpacked)
Retrieving: libcollectdclient1-5.7.2-84.1.x86_64.rpm ...................................................................................................................[done]
Retrieving package liboping0-1.9.0-1.2.x86_64 (2/8), 28.4 KiB ( 58.3 KiB unpacked)
Retrieving: liboping0-1.9.0-1.2.x86_64.rpm .............................................................................................................................[done]
Retrieving package libprotobuf-c1-1.3.0-29.1.x86_64 (3/8), 22.8 KiB ( 35.9 KiB unpacked)
Retrieving: libprotobuf-c1-1.3.0-29.1.x86_64.rpm .......................................................................................................................[done]
Warning: Digest verification failed for file 'libprotobuf-c1-1.3.0-29.1.x86_64.rpm'
[/var/cache/zypp/packages/sles-12.2-server-monitoring-leap-with-collectd/Packages/l/libprotobuf-c1-1.3.0-29.1.x86_64.rpm]
expected caa3fcbbeba1018cc32f72ffbcbd87ea3d50a3efc0dc434007973971a849cdcc
but got 3271b1ec7ef1f7be80dfba63754bcc293b4cd67ffe16f0b182e968b177850256
Accepting packages with wrong checksums can lead to a corrupted system and in extreme cases even to a system compromise.
However if you made certain that the file with checksum '3271..' is secure, correct
and should be used within this operation, enter the first 4 characters of the checksum
to unblock using this file on your own risk. Empty input will discard the file.
Unblock or discard? [3271/...? shows all options] (discard):

Setup is a Pulp cluster within 3 nodes in version pulp-server-2.15.2-1.el7.noarch on RHEL 7.3.

Upstream feed: http://ftp.halifax.rwth-aachen.de/opensuse/repositories/server:/monitoring/openSUSE_Leap_42.3/

pulp-admin rpm repo create --repo-id myfancyrepo --display-name myfanczyrepo --feed http://ftp.halifax.rwth-aachen.de/opensuse/repositories/server:/monitoring/openSUSE_Leap_42.3/ --relative-url bla/blub/ --serve-http true --serve-https true

pulp-admin rpm repo sync run --repo-id myfancyrepo
pulp-admin rpm repo publish run --repo-id myfancyrepo
pulp-admin rpm repo create --repo-id copy-of-fancyrepo -- display-name copy-of-fancyrepo --relative-url bla/blub/copy --serve-http true --serve-https true
pulp-admin rpm repo publish run --repo-id copy-of-fancyrepo
pulp-admin rpm repo copy all --from-repo-id myfancyrepo --to-repo-id copy-of-fancyrepo
pulp-admin rpm repo publish run --repo-id copy-of-fancyrepo

At least i tried to install collectd from the repo above, and the given error above occurred.

Thx for any help to fix this stange thing :)

History

#1 Updated by dalley over 2 years ago

  • Triaged changed from No to Yes

#2 Updated by bmbouter over 1 year ago

  • Status changed from NEW to CLOSED - WONTFIX

#3 Updated by bmbouter over 1 year ago

  • Tags Pulp 2 added

Please register to edit this issue

Also available in: Atom PDF